package com.lz.modules.flow.req;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*考核指标库表
* @author quyixiao
* @since 2020-10-16
*/


@Data
@ApiModel(value = "搜索指标Req")
public class ResultTagetLibSearchReq implements java.io.Serializable {
  
    @ApiModelProperty(value = "currPage", name = "当前页码")
    private int currPage = 1;
    @ApiModelProperty(value = "pageSize", name = "每页返回条数")
    private int pageSize = 10;

    //
    private Long id;
    //

    //指标名称
    @ApiModelProperty(value = "指标名称", name = "name")
    private String name;
    //考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选
    @ApiModelProperty(value = "考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选", name = "modelId")
    private Long modelId;
    //权重
    @ApiModelProperty(value = "权重", name = "weight")
    private BigDecimal weight;

    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 指标名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 指标名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选 
     * @return
     */
    public Long getModelId() {
        return modelId;
    }
    /**
     * 考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选 
     * @param modelId
     */
    public void setModelId(Long modelId) {
        this.modelId = modelId;
    }

    /**
     * 权重 
     * @return
     */
    public BigDecimal getWeight() {
        return weight;
    }
    /**
     * 权重 
     * @param weight
     */
    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }



    @Override
    public String toString() {
        return "ResultTagetLib{" +
                ",id=" + id +
                ",name=" + name +
                ",modelId=" + modelId +
                ",weight=" + weight +
                "}";
    }
}